<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Nine men's morris</title>
    <link th:href="@{/styles/board.css}" rel="stylesheet"/>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js"
            type="text/javascript"></script>

</head>

<body>

<div class="container">

    <div class="board">
        <div class="board-square board-square-big">
            <span class="board-square board-square-mid"></span>
            <span class="board-line board-line-vertical"></span>
            <span class="board-line board-line-horizontal"></span>
            <span class="board-square board-square-sml"></span>

            <div>
                <span id="a1" class="circle none"></span>
                <span id="a4" class="circle none"></span>
                <span id="a7" class="circle none"></span>

                <span id="b2" class="circle none"></span>
                <span id="b4" class="circle none"></span>
                <span id="b6" class="circle none"></span>

                <span id="c3" class="circle none"></span>
                <span id="c4" class="circle none"></span>
                <span id="c5" class="circle none"></span>

                <span id="d1" class="circle none"></span>
                <span id="d2" class="circle none"></span>
                <span id="d3" class="circle none"></span>
                <span id="d5" class="circle none"></span>
                <span id="d6" class="circle none"></span>
                <span id="d7" class="circle none"></span>

                <span id="e3" class="circle none"></span>
                <span id="e4" class="circle none"></span>
                <span id="e5" class="circle none"></span>

                <span id="f2" class="circle none"></span>
                <span id="f4" class="circle none"></span>
                <span id="f6" class="circle none"></span>

                <span id="g1" class="circle none"></span>
                <span id="g4" class="circle none"></span>
                <span id="g7" class="circle none"></span>
            </div>
        </div>
    </div>

    <div class="sidebar">
        <div class="board-settings">
            <div id="coefficient">Coefficient</div>
            <div>
                <label><span id="white-label">WHITE</span>
                    <select id="algorithm-white" class="board-settings-selector">
                        <option selected>Human</option>
                        <option th:each="algorithm : ${algorithms}" th:text="${algorithm}"></option>
                    </select>
                    <select id="heuristic-white" class="board-settings-selector">
                        <option th:each="heuristic : ${heuristics}" th:text="${heuristic}"></option>
                    </select>
                </label>
            </div>
            <div>
                <label><span id="black-label">BLACK</span>
                    <select id="algorithm-black" class="board-settings-selector">
                        <option selected>Human</option>
                        <option th:each="algorithm : ${algorithms}" th:text="${algorithm}"></option>
                    </select>
                    <select id="heuristic-black" class="board-settings-selector">
                        <option th:each="heuristic : ${heuristics}" th:text="${heuristic}"></option>
                    </select>
                </label>
            </div>
            <div>
                <button id="board-settings-button" type="button">Start</button>
            </div>
        </div>

        <div class="records">
            <a href="/api/download" download><div id="records-head">RECORDS</div></a>
            <div id="records-body">
                <div id="records-white"></div>
                <div id="records-black"></div>
            </div>
        </div>
    </div>


</div>

<script th:src="@{/scripts/requests.js}"></script>
<script th:src="@{/scripts/events.js}"></script>
<script th:src="@{/scripts/board.js}"></script>

</body>
</html>